<?php

namespace Teknisa\PED\Modules\Pedidos\Factories;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Response\Error;

    class Ped05900ComposicaoPrecoProdutoFactory {
        
        protected $connection;
    
        public function __construct(EntityManager $entityManager) {
            $this->connection       = $entityManager->getConnection();
            $this->entityManager    = $entityManager;
        }
        
        public function getPrecobase($row){
            try {
            $sql = "SELECT
                       CDPRECOBASE
                    FROM
                       PRECOBASE
                    WHERE ((INSTR(:P_CDPRECOBASE,CDPRECOBASE) > 0) OR (:P_TCDPRECOBASE = 'T'))";
                    
            $params = array('P_TCDPRECOBASE' => $row['CDPRECOBASE']);
                
            $std = $this->connection->prepare($sql);
            $std->execute($params);
            return $std->fetchAll();
        } catch (\Exception $e) {
            throw $e;
        }
        }
    }
?>