<?php
namespace Teknisa\PED\Factories;

use Doctrine\ORM\EntityManager;

class Ger01300PaisFactory {
    #default service
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        #initializes default service
        $this->connection = $entityManager->getConnection();
    }

    public function verficaNomePais($row) {
        $params           = array();
        $params['NRORG']  = $row['NRORG'];
       	$params['NMPAIS'] = strtolower($row['NMPAIS']);

        $sql = "SELECT *
                  	FROM PAIS
                	WHERE (NRORG = :NRORG OR NRORG = 0) AND LOWER(NMPAIS) = :NMPAIS";


        $std = $this->connection->prepare($sql);
        $std->execute($params);


        return $std->fetchAll();
    }

    public function verficaCodigoPais($row) {
        $params           = array();
        $params['NRORG']  = $row['NRORG'];
       	$params['CDPAIS'] = strtolower($row['CDPAIS']);

        $sql = "SELECT *
                  	FROM PAIS
                	WHERE (NRORG = :NRORG OR NRORG = 0) AND CDPAIS = :CDPAIS";


        $std = $this->connection->prepare($sql);
        $std->execute($params);


        return $std->fetchAll();
    }


}